%bcond_without bootstrap

%global pypi_name contourpy

Summary:        Python library for calculating contours in 2D quadrilateral grids
Name:           python-%{pypi_name}
Version:        1.0.7
Release:        2%{?dist}

License:        BSD-3-Clause
URL:            https://contourpy.readthedocs.io/
Source0:        %pypi_source %{pypi_name}

BuildRequires: python3-devel gcc-c++

%description
ContourPy is a Python library for calculating contours of 2D quadrilateral
grids. It is written in C++11 and wrapped using pybind11.

It contains the 2005 and 2014 algorithms used in Matplotlib as well as a newer
algorithm that includes more features and is available in both serial and
multithreaded versions. It provides an easy way for Python libraries to use
contouring algorithms without having to include Matplotlib as a dependency.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test%{?with_bootstrap:-no-images}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest %{?with_bootstrap:-k 'not image'}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.7-1
- initial build
